Subject: bug#28844: 26.0.90; display-line-numbers-mode should call window-configuration-change-hook

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Oct 2017 17:27:02 +0300

> From: Paul Rankin <[email-masked]>
> Date: Sun, 22 Oct 2017 17:20:43 +1000
> 
> > Another possibility is to use pre-redisplay-function.  An example is
> > in tabulated-list.el.
> 
> I made the above changes and added to 'pre-redisplay-function but this does not work.

If you'd like me to look into this, please provide the details: what
changes you made, and how it failed to work (including a recipe for
reproducing the wrong behavior, please).  I've looked at your package
on GitHub, but didn't see any code related to pre-redisplay-function;
apologies if I missed something.

> It makes no sense to put the onus on existing working packages to endlessly fiddle to work around bugs you have introduced.

If there's a bug in Emacs, sure.  But I see no bug yet: the code in
Emacs is working as designed, and based on adapting several bundled
packages to the line-number display, my conclusion was that the
existing facilities are enough to support that.  Maybe your package's
needs will convince me to change my mind, but for that I need to
understand the problem better.  And if I'm right, then making the
changes to adapt your package (should you decide that such adaptations
are necessary) is indeed your responsibility as the package developer.

Thanks.